post
https://api.test.kalixa.com/PaymentRedirectionService/PaymentService.svc/pox/getPaymentInputDataList
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
The getPaymentInputDataList web method is used for retrieving a list of required input data elements for a specific payment method, which should be displayed to the customer (e.g. bank account for offline bank transfer).
Used for payment methods: VIPPreferredDeposit (252), Przelewy24 Deposit (151), Offline Bank Transfer Deposit (23), Poli Deposit (160), EnterCash Deposit (242), Ticket Premium Deposit (145), TSI Direct Deposit (150).
getPaymentInputDataListRequest fields
| field (type, required) | description |
|---|---|
| merchantID (stringID, required) | Merchant ID |
| shopID (stringID, required) | Shop ID |
| user (user, required) | The user data. See user for more information |
| paymentMethodID (positiveInt, required) | Payment Method ID |
| purposeOfPayment (stringID) | Description of the payment, e.g. to appear on a bank transfer |
| amount (positiveMoney) | The amount of the payment to be triggered |
| details (array of keyValueBasePair) | A key-value collection of additional details which are required for the retrieval of input data for specific payment methods |
getPaymentInputDataListResponse fields
| field (type, required) | description |
|---|---|
| paymentInputDataList (array of paymentInputData, required) | An array of paymentInputData |
| paymentInputDataList.paymentInputData (array of keyValueBasePair) | A key-value collection with values to be presented to the customer so that she/he can trigger a payment |

